/* =========================
   HERO
========================= */
.hero {
  position: relative;
  min-height: 100dvh;
  padding-top: 5rem;
  overflow: hidden;
  margin-bottom: 5rem;
  display: flex;
  flex-direction: column;
}

/* =========================
   HERO SLIDER
========================= */

.hero-slider {
  position: absolute;
  inset: 0;
  z-index: 0;
}

.hero-slider img {
  position: absolute;
  inset: 0;

  width: 100%;
  height: 100%;

  object-fit: cover;
  object-position: center center;

  opacity: 0;

  transition: opacity 1.5s ease;
}

.hero-slider img.active {
  opacity: 1;
}

.hero_overlay {
  position: absolute;
  inset: 0;

  background:
    linear-gradient(
      90deg,
      rgba(0, 0, 0, 0.80) 0%,
      rgba(0, 0, 0, 0.65) 45%,
      rgba(0, 0, 0, 0.45) 100%
    );

  z-index: 1;
}

/* CONTENIDO */
.hero_container {
  z-index: 2;
  margin: auto;
  width: min(200rem, 98%);
  display: flex;
  flex-direction: column;
}

/* TEXTO */
.hero_text {
  max-width: 90%;
  animation: fadeUp 1s ease forwards;
}

.hero_text h1 {
  font-size: 2.6rem;
  line-height: 1;
  margin-bottom: 5rem;
}

.hero_text h1 strong {
  font-size: 5rem;
}

.hero_text p {
  font-size: 2rem;
  max-width: 60rem;
  margin-bottom: 1rem;
  color: var(--color-primary¿);
}

.hero_text ul {
  display: flex;
  gap: 2rem;
  margin-bottom: 1rem;
}

.hero_text ul li {
  font-size: var(--fs-small);
  list-style: none;
  background-color: var(--color-primary);
  padding: 1rem;
  border-radius: 8px;
}

.hero_text h4 {
  color: white;
  font-weight: 300;
  font-size: var(--fs-text);
}

/* BOTONES */
.hero_actions {
  margin-top: 5rem;
  display: flex;
  align-items: center;
  gap: 2rem;
}

.btn_primary,
.btn_secondary {
  border: 2px solid var(--color-primary);
  padding: 1rem 2rem;
  border-radius: var(--border-r);
  text-decoration: none;
  color: white;
  font-size: var(--fs-text);
  transition: 0.3s;
}

.btn_primary:hover,
.btn_secondary:hover {
  background: var(--color-primary);
}

/* =========================
   CERTIFICACIONES
========================= */

.certifications-strip {
  z-index: 5;
  width: min(200rem, 100%);
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  justify-content: space-between;
  padding: 1rem;
  overflow-x: auto;
  background: transparent;
  background: rgba(255, 255, 255, 0.08);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.15);
  border-radius: 8px;
  margin-top: auto;
  gap: 5rem;
}

.certifications-strip-content {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.certifications-strip img {
  height: 5rem;
  width: auto;
  transition: all 0.35s ease;
  opacity: 1;
}

.certifications-strip-content p {
  color: white;
  font-size: 1.2rem;
  line-height: 1.4;
  text-align: center;
}
/* =========================
   MAIN
========================= */
main {
  width: min(200rem, 100%);
}

main section {
  text-align: center;
  width: min(200rem, 98%);
}

main section h2 {
  display: inline-block;
  font-size: var(--fs-title);
  margin-bottom: 5rem;
  line-height: 1;
}

main section p {
  text-align: justify;
  font-size: var(--fs-text);
}

/* =========================
   PROJECTS
========================= */

#us p {
  padding: 2rem;
  margin: 0 auto;
  background-color: var(--bgc-card);
  border-radius: 24px;
}

/* =========================
   PROJECTS
========================= */
.projects-grid {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.project_card {
  background-color: var(--bgc-card);
  padding: 2rem;
  border-radius: var(--border-r);
  display: flex;
  flex-direction: column;
  box-shadow: var(--card-shadow);
}

.project_card img {
  width: 100%;
  height: 60rem;
  border-radius: var(--border-r);
}

.project_card h3 {
  margin: 1.5rem 0;
  font-size: var(--fs-h3);
}

.project_card p {
  font-size: var(--fs-text);
  margin-bottom: 2rem;
  text-align: center;
}

/* =========================
   PRODUCTS
========================= */
.product_container {
  display: flex;
  justify-content: space-around;
  z-index: 20;
}

.product_container_card {
  width: 40rem;
  border-radius: var(--border-r);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.product_img img {
  border-radius: 50%;
  width: 16rem;
  height: 16rem;
  object-fit: contain;
  background-color: var(--bgc-card);
  box-shadow: var(--card-shadow);
}

.product_container_card h3 {
  margin: 2rem 0 2rem 0;
  font-size: var(--fs-h3);
}

/* =========================
   SLIDER
========================= */

.brands {
  width: min(200rem, 100%);
  margin-bottom: 5rem;
}

.slider {
  overflow: hidden;
  position: relative;
}

.slide_track {
  display: flex;
  align-items: center;
  gap: 2rem;

  width: max-content;

  animation: scroll linear infinite;
  animation-duration: 25s;

  will-change: transform;
}

.slide_track img {
  width: 32rem;
  height: 14rem;
  flex-shrink: 0;

  padding: 1rem;

  background: var(--bgc-card);

  border-radius: var(--border-r);

  object-fit: contain;
  
}

/* PAUSA */
.slider:hover .slide_track {
  animation-play-state: paused;
}

/* ANIMACION */
@keyframes scroll {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(calc(-50% - 1rem));
  }
}

/* =========================
   ANIMACIONES HERO
========================= */
@keyframes fadeUp {
  from {
    opacity: 0;
    transform: translateY(40px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

/* =========================
   RESPONSIVE
========================= */
@media (max-width: 1200px) {


.hero {
    min-height: 100dvh;
    padding-top: 8rem;
  }

  .hero_container {
    padding: 2rem 1rem;
    flex-direction: column;
    text-align: center;
    justify-content: center;
  }

  .hero_text{
    max-width: 100%;
  }

  .hero_text h1{
    font-size: 1.8rem;
    line-height: 1.1;
    margin-bottom: 2rem;
  }

  .hero_text h1 strong {
    font-size: 3.5rem;
  }

  .hero_text p {
    text-align: center;
    margin: 0 auto 2rem auto;
    max-width: 100%;
    font-size: 1.4rem;
  }

  .hero_text ul{
    justify-content: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: .8rem;
  }

  .hero_text ul li {
    font-size: 1.2rem;
    padding: .8rem;
  }

  .hero_text h4 {
    font-size: 1.4rem;
    line-height: 1.5;
  }

  .hero_actions {
    justify-content: center;
  }

  .btn_primary,
  .btn_secondary {
    margin-bottom: 2rem;
  }

  .certifications-strip-content{
    flex-direction: column;
  }

  .certifications-strip-content img {
    max-width: 100%;
    height: 4rem;
  }

  .certifications-strip-content p {
    font-size: 1rem;
  }

  .projects-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .card {
    width: 45%;
  }

  .product_container {
    flex-wrap: wrap;
    gap: 2rem;
    justify-content: center;
  }

  .product_container_card {
    width: 45%;
  }
}

@media (max-width: 768px) {
  .hero_container {
    flex-direction: column;
    text-align: center;
  }

  .hero_text h1 {
    font-size: 2rem;
  }

  .hero_text h1 strong {
    font-size: 4rem;
  }

  .hero_text ul {
  display: flex;
  gap: 1rem;
  margin-bottom: 1rem;
}

.hero_text ul li {
  font-size: var(--fs-small);
  padding: 0.5rem;
}

.hero_text h4 {
  font-size: var(--fs-text);
}

  .hero_actions {
    margin-top: 2rem;
    justify-content: center;
  }

  .certifications-strip {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 1rem;
    padding: 0.5rem;
    justify-items: center;
  }

  .certifications-strip-content{
    flex-direction: column;
  }

  .certifications-strip-content img{
    height: 2.8rem;
  }

  .certifications-strip-content p{
    font-size: 0.8rem;
  }

  .card {
    width: 90%;
  }

  .project_card p {
    text-align: center;
  }

  .project_card img {
    height: 25rem;
  }

  /*--------------------------*/
  .product_container {
    display: flex;
    gap: 5rem;
    justify-content: center;
  }

  .product_container_card {
    width: 40rem;
    border-radius: var(--border-r);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
  }

  /*--------------------------*/

  main section h2 {
    margin-bottom: 4rem;
  }

  main section p {
    text-align: justify;
    font-size: var(--fs-text);
  }

  .slide_track img {
    width: 24rem;
    height: 12rem;
  }
}

@media (max-width: 620px) {
  

  .hero_text p {
    font-size: 1.2rem;
  }

  .btn_primary,
  .btn_secondary {
    font-size: 1.2rem;
  }

  .projects-grid {
    gap: 0.5rem;
  }

  .projects-grid {
    grid-template-columns: 1fr;
    gap: 2rem;
  }

  .project_card img {
    width: 100%;
    height: 40rem;
    border-radius: var(--border-r);
  }
}

@media (max-width: 480px) {
  .card {
    height: 25rem;
  }

  .slide_track img {
    width: 20rem;
    height: 10rem;
  }
}

@media (max-width: 400px) {
  .btn_primary,
  .btn_secondary {
    font-size: var(--fs-small);
  }
}